#version 430 core
/*
* Copyright 2019 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

in vec2 textureCoords;

out vec4 out_colour;

uniform sampler2D flareTexture;
uniform float brightness;
uniform float brightnessLF;

void main(void){

    out_colour = texture(flareTexture, textureCoords);
    out_colour.a *= brightnessLF;
    out_colour.a *= brightness;
}